Package com.fasterxml.jackson.datatype.joda.cfg

## Class JacksonJodaDateFormat

- java.lang.Object
- - com.fasterxml.jackson.datatype.joda.cfg.JacksonJodaDateFormat

    public class JacksonJodaDateFormat
    extends java.lang.Object

Simple container used to encapsulate (some of) gory details of customizations related to date/time formatting.

### Field Summary

Fields
`protected java.lang.Boolean` `_adjustToContextTZOverride` Flag for `JsonFormat.Feature.ADJUST_DATES_TO_CONTEXT_TIME_ZONE`
`protected boolean` `_explicitLocale`
`protected boolean` `_explicitTimezone`
`protected org.joda.time.format.DateTimeFormatter` `_formatter`
`protected java.util.TimeZone` `_jdkTimezone`
`protected org.joda.time.DateTimeZone` `_jodaTimezone`
`protected java.util.Locale` `_locale`
`protected java.lang.Boolean` `_useTimestamp` Flag that indicates that serialization must be done as the Java timestamp, regardless of other settings.
`protected java.lang.Boolean` `_writeZoneId` Flag for `JsonFormat.Feature.WRITE_DATES_WITH_ZONE_ID`
`protected static java.util.Locale` `DEFAULT_LOCALE`

### Constructor Summary

Constructors
`` `JacksonJodaDateFormat​(JacksonJodaDateFormat base, java.lang.Boolean useTimestamp)`
`protected` `JacksonJodaDateFormat​(JacksonJodaDateFormat base, java.lang.Boolean adjustToContextTZOverride, java.lang.Boolean writeZoneId)`
`` `JacksonJodaDateFormat​(JacksonJodaDateFormat base, java.util.Locale locale)`
`` `JacksonJodaDateFormat​(JacksonJodaDateFormat base, java.util.TimeZone jdkTimezone)`
`` `JacksonJodaDateFormat​(JacksonJodaDateFormat base, org.joda.time.format.DateTimeFormatter formatter)`
`` `JacksonJodaDateFormat​(org.joda.time.format.DateTimeFormatter defaultFormatter)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static boolean` `_isStyle​(java.lang.String formatStr)`
`org.joda.time.format.DateTimeFormatter` `createFormatter​(com.fasterxml.jackson.databind.SerializerProvider ctxt)`
`org.joda.time.format.DateTimeFormatter` `createFormatterWithLocale​(com.fasterxml.jackson.databind.SerializerProvider ctxt)`
`org.joda.time.format.DateTimeFormatter` `createParser​(com.fasterxml.jackson.databind.DeserializationContext ctxt)` Accessor used during deserialization.
`java.util.Locale` `getLocale()`
`org.joda.time.DateTimeZone` `getTimeZone()`
`boolean` `isTimezoneExplicit()` Differentiate if TimeZone is specified by caller
`org.joda.time.format.DateTimeFormatter` `rawFormatter()`
`boolean` `shouldAdjustToContextTimeZone​(com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`boolean` `shouldWriteWithZoneId​(com.fasterxml.jackson.databind.SerializerProvider ctxt)`
`java.lang.String` `toString()`
`boolean` `useTimestamp​(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.SerializationFeature feat)`
`JacksonJodaDateFormat` `with​(com.fasterxml.jackson.annotation.JsonFormat.Value ann)`
`JacksonJodaDateFormat` `withAdjustToContextTZOverride​(java.lang.Boolean adjustToContextTZOverride)`
`JacksonJodaDateFormat` `withFormat​(java.lang.String format)`
`JacksonJodaDateFormat` `withLocale​(java.util.Locale locale)`
`JacksonJodaDateFormat` `withTimeZone​(java.util.TimeZone tz)`
`JacksonJodaDateFormat` `withUseTimestamp​(java.lang.Boolean useTimestamp)`
`JacksonJodaDateFormat` `withWriteZoneId​(java.lang.Boolean writeZoneId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _formatter

    protected final org.joda.time.format.DateTimeFormatter _formatter

#### _jdkTimezone

    protected final java.util.TimeZone _jdkTimezone

#### _jodaTimezone

    protected transient org.joda.time.DateTimeZone _jodaTimezone

#### _explicitTimezone

    protected final boolean _explicitTimezone

#### _adjustToContextTZOverride

    protected final java.lang.Boolean _adjustToContextTZOverride

Flag for `JsonFormat.Feature.ADJUST_DATES_TO_CONTEXT_TIME_ZONE`

Since:
  2.8

#### _writeZoneId

    protected final java.lang.Boolean _writeZoneId

Flag for `JsonFormat.Feature.WRITE_DATES_WITH_ZONE_ID`

Since:
  2.8

#### DEFAULT_LOCALE

    protected static final java.util.Locale DEFAULT_LOCALE

#### _useTimestamp

    protected final java.lang.Boolean _useTimestamp

Flag that indicates that serialization must be done as the Java timestamp, regardless of other settings.

#### _locale

    protected final java.util.Locale _locale

#### _explicitLocale

    protected final boolean _explicitLocale

### Constructor Detail

#### JacksonJodaDateFormat

    public JacksonJodaDateFormat​(org.joda.time.format.DateTimeFormatter defaultFormatter)

#### JacksonJodaDateFormat

    public JacksonJodaDateFormat​(JacksonJodaDateFormat base,
                                 java.lang.Boolean useTimestamp)

#### JacksonJodaDateFormat

    public JacksonJodaDateFormat​(JacksonJodaDateFormat base,
                                 org.joda.time.format.DateTimeFormatter formatter)

#### JacksonJodaDateFormat

    public JacksonJodaDateFormat​(JacksonJodaDateFormat base,
                                 java.util.TimeZone jdkTimezone)

#### JacksonJodaDateFormat

    public JacksonJodaDateFormat​(JacksonJodaDateFormat base,
                                 java.util.Locale locale)

#### JacksonJodaDateFormat

    protected JacksonJodaDateFormat​(JacksonJodaDateFormat base,
                                    java.lang.Boolean adjustToContextTZOverride,
                                    java.lang.Boolean writeZoneId)

Since:
  2.8

### Method Detail

#### with

    public JacksonJodaDateFormat with​(com.fasterxml.jackson.annotation.JsonFormat.Value ann)

#### withUseTimestamp

    public JacksonJodaDateFormat withUseTimestamp​(java.lang.Boolean useTimestamp)

#### withFormat

    public JacksonJodaDateFormat withFormat​(java.lang.String format)

#### withTimeZone

    public JacksonJodaDateFormat withTimeZone​(java.util.TimeZone tz)

#### withLocale

    public JacksonJodaDateFormat withLocale​(java.util.Locale locale)

#### withAdjustToContextTZOverride

    public JacksonJodaDateFormat withAdjustToContextTZOverride​(java.lang.Boolean adjustToContextTZOverride)

Since:
  2.8

#### withWriteZoneId

    public JacksonJodaDateFormat withWriteZoneId​(java.lang.Boolean writeZoneId)

Since:
  2.8

#### getTimeZone

    public org.joda.time.DateTimeZone getTimeZone()

Since:
  2.6

#### getLocale

    public java.util.Locale getLocale()

#### rawFormatter

    public org.joda.time.format.DateTimeFormatter rawFormatter()

#### createFormatter

    public org.joda.time.format.DateTimeFormatter createFormatter​(com.fasterxml.jackson.databind.SerializerProvider ctxt)

#### createFormatterWithLocale

    public org.joda.time.format.DateTimeFormatter createFormatterWithLocale​(com.fasterxml.jackson.databind.SerializerProvider ctxt)

#### createParser

    public org.joda.time.format.DateTimeFormatter createParser​(com.fasterxml.jackson.databind.DeserializationContext ctxt)

Accessor used during deserialization.

#### shouldAdjustToContextTimeZone

    public boolean shouldAdjustToContextTimeZone​(com.fasterxml.jackson.databind.DeserializationContext ctxt)

Since:
  2.8

#### shouldWriteWithZoneId

    public boolean shouldWriteWithZoneId​(com.fasterxml.jackson.databind.SerializerProvider ctxt)

Since:
  2.8

#### isTimezoneExplicit

    public boolean isTimezoneExplicit()

Differentiate if TimeZone is specified by caller

Returns:
  true if TimeZone is specified by caller; false otherwise.

#### _isStyle

    protected static boolean _isStyle​(java.lang.String formatStr)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### useTimestamp

    public boolean useTimestamp​(com.fasterxml.jackson.databind.SerializerProvider provider,
                                com.fasterxml.jackson.databind.SerializationFeature feat)